;******************************************************************************
;* Project  Name      : QT8S736 I2C Demo
;* File Name          : QT8S736_I2C.asm
;* Author             : GRAND LOTUS
;* Version            : V1.00
;* Date               : 2019/07/01
;******************************************************************************
;
;Option: 16M/16T, WDT-Enab1e-288ms, RST-IO ,BOR 2.4V
;
;******************************************************************************
		LIST P=QT8S736                       
#INCLUDE    QT8S736.INC
		udata	H'12'
sFSR0		res		1
R_SlaveBuffAddr								res		1	;//数据地址
R_I2Cflag									res		1	;//软件标志
IIC_Data									res		1
;******************************************************************************
;=================================C O D E======================================
;******************************************************************************
		ORG			0000H
		GOTO		Main_Program
		ORG			0008H
		;//GOTO		S_interrupt
		
;******************************************************************************
;===============================中断处理程序===================================
;====================注：没有使能的中断不要判断中断标志位======================
;******************************************************************************	
;//中断进来
S_interrupt:
		PUSH 		                    ;//进栈、保存A、STATUS
;//中断处理程序
		MOVR 		FSR0,A				;//保存FSR0
		MOVAR 		sFSR0               ;//中断中用到 FSR0，保护
		JBTS0		INTF0,I2CIF
        GOTO		I2C_SLAVE_SSPINT		
		NOP
Interrupt_End:		
;//中断结束
		MOVR		sFSR0,A				;//恢复FSR0
		MOVAR		FSR0			    ;//中断中用到 FSR0，保护
		POP                             ;//出栈、恢复A、STATUS
		RETIE	 
			
;******************************************************************************
;==============================主程序==========================================
;******************************************************************************			
;//--------------------------程序初始化----------------------------------------	
Main_Program:
		CALL        System_Init         ;//系统初始化
		CALL		Clr_RAM_00H_7FH     ;//清零RAM
		CALL		I2C_Init            ;//I2C初始化
		 
;//--------------------------主函数循环----------------------------------------
Main_Loop:
		CLRWDT							;//清除看门狗
		GOTO		Main_Loop







;******************************************************************************
;=================================系统初始化===================================
;******************************************************************************
#INCLUDE	System_Init.INC

;******************************************************************************
;=================================I2C初始化====================================
;******************************************************************************
#INCLUDE	I2C_INIT.INC

;******************************************************************************
;===============================   I2C_SLAVE   ================================
;******************************************************************************	
#INCLUDE	I2C_SLAVE.INC


		END
;**********************************END OF FILE*********************************
